## zed 1.0.2

=== Makefile ===
###############################################
# select a system:

# Where we will install Zed
PREFIX=/usr/local

# Pentium Linux (pentium 100Mhz w/o cache: 1min 31sec; K6 225MHz: 26sec)
CFLAGS=-pipe -Wall -malign-jumps=2 -malign-functions=2 -fomit-frame-pointer -m486 -O2

# i486 Linux
#CFLAGS=-pipe -Wall -fomit-frame-pointer -m486 -O2

# HP-PA risc 1.1 HPUX 10.01 (hppa 1.1 50Mhz: 3min 3sec / 100MHz: 1min 43sec)
#ILIBS=-lm
#IXLIBS=-lm
#CFLAGS=-pipe -Wall -mpa-risc-1-1 -O2

# RS6000 AIX (two powerpc 166MHz: 52sec)
#CFLAGS=-pipe -Wall -O2

# Sun (Sparcstation 4 with supersparc 110MHz: 3min 45sec)
#ILIBS=-lm
#IXLIBS=-lm
#CFLAGS=-pipe -Wall -O2 -msupersparc

# (timings are related to only compile zedx in single user with all in disk cache)
###############################################

#CFLAGS=-pipe -Wall -m486 -ggdb
#CFLAGS=-pipe -Wall -mpa-risc-1-1 -ggdb
#CFLAGS=-pipe -Wall -malign-jumps=2 -malign-functions=2 -m486 -ggdb
#CFLAGS=-pipe -Wall -ggdb

###############################################
# comment this lines if you don't have XPM (used only for the icon)

XPMLIB=-lXpm
XPMOPT=-DXPM_ICON -I/usr/X11R6/include/X11
#XPMOPT=-DXPM_ICON -I/usr/X11/include/X11

###############################################

OBJS=config.o editor.o lowl.o main.o varie.o edvis.o # hpux.o
LIBS=$(ILIBS)
OPTIONS=$(IOPTIONS)

XOBJS=config.xo editor.xo lowl.xo main.xo varie.xo x11part.xo edvis.xo # hpux.xo
XLIBS=-L/usr/X11R6/lib -lX11 $(XPMLIB) $(IXLIBS)
XOPTIONS=$(XPMOPT) $(IXOPTIONS)

all: zed zedx

default:
	 @echo
	 @echo "Type one of the following:"
	 @echo "  make zed      ansi/vt100 version"
	 @echo "  make zedx     X11 version"
	 @echo "  make install"
	 @echo "  make clean"
	 @echo

zed : $(OBJS)
	 gcc -o zed $(AFLAGS) $(OBJS) $(LIBS)

zedx : $(XOBJS)
	 gcc -o zedx $(AFLAGS) $(XOBJS) $(XLIBS)

clean:
	 rm -rf core *.o *.xo *~

install: zed zedx
	 install -m 755 -d $(PREFIX)/bin
	 install -m 755 -d $(PREFIX)/etc
	 install -m 755 -d $(PREFIX)/lib/zed
	 install -s -m 755 zed $(PREFIX)/bin/zed
	 install -s -m 755 zedx $(PREFIX)/bin/zedx
	 install -m 644 cfg/zedxrc $(PREFIX)/etc/zedxrc
	 install -m 644 cfg/zedrc $(PREFIX)/etc/zedrc
	 install -m 644 cfg/zedrc.xterm $(PREFIX)/etc/zedrc.xterm
	 install -m 644 zed.doc $(PREFIX)/lib/zed/zed.doc
	 install -m 644 zedico.xpm $(PREFIX)/lib/zed/zedico.xpm
	 install -m 644 README $(PREFIX)/lib/zed/README
	 install -m 644 zed.png $(PREFIX)/lib/zed/zed.png
	 install -m 644 zedlogo.png $(PREFIX)/lib/zed/zedlogo.png
	 @echo
	 @echo "Zed is now installed in your system."
	 @echo
	 @echo "Please READ at least the README file. It contain important information."
	 @echo

.SUFFIXES:

%.xo : %.cc
	 gcc $(CFLAGS) $(AFLAGS) -DX11 $(XOPTIONS) -o $@ -c $<

%.o  : %.cc
	 gcc $(CFLAGS) $(AFLAGS) $(OPTIONS) -o $@ -c $<

### Dependencies:
config.o: config.cc zed.h
editor.o: editor.cc zed.h
edvis.o: edvis.cc zed.h
lowl.o: lowl.cc zed.h
main.o: main.cc zed.h
varie.o: varie.cc zed.h
config.xo: config.cc zed.h
editor.xo: editor.cc zed.h
lowl.xo: lowl.cc zed.h
main.xo: main.cc zed.h
varie.xo: varie.cc zed.h
x11part.xo: x11part.cc zedico.xpm zed.h

## zed 0.156.2

=== debian/changelog ===
zed (0.156.2-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Wed, 16 Oct 2024 17:19:48 +0200

=== debian/control ===
Source: zed
Section: Development
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://github.com/zed-industries/zed
#Vcs-Browser: https://salsa.debian.org/debian/zed
#Vcs-Git: https://salsa.debian.org/debian/zed.git

Package: zed
Architecture: all
Depends: bash, libc6, mesa-vulkan-drivers, ${misc:Depends}
Description: Zed
 Zed is a high-performance, multiplayer code editor from the creators of Atom and Tree-sitter.

## zed 1.0.3

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # (timings are related to only compile zedx in single user with all in disk cache)
 ###############################################
 
-#CFLAGS=-pipe -Wall -m486 -ggdb
+#CFLAGS=-pipe -Wall -m486 -g
 #CFLAGS=-pipe -Wall -mpa-risc-1-1 -ggdb
 #CFLAGS=-pipe -Wall -malign-jumps=2 -malign-functions=2 -m486 -ggdb
 #CFLAGS=-pipe -Wall -ggdb

## zed 1.0.5

=== Makefile ===
--- 
+++ 
@@ -4,26 +4,31 @@
 # Where we will install Zed
 PREFIX=/usr/local
 
-# Pentium Linux (pentium 100Mhz w/o cache: 1min 31sec; K6 225MHz: 26sec)
+# Pentium Linux
 CFLAGS=-pipe -Wall -malign-jumps=2 -malign-functions=2 -fomit-frame-pointer -m486 -O2
 
 # i486 Linux
 #CFLAGS=-pipe -Wall -fomit-frame-pointer -m486 -O2
 
-# HP-PA risc 1.1 HPUX 10.01 (hppa 1.1 50Mhz: 3min 3sec / 100MHz: 1min 43sec)
+# HPUX
 #ILIBS=-lm
 #IXLIBS=-lm
 #CFLAGS=-pipe -Wall -mpa-risc-1-1 -O2
 
-# RS6000 AIX (two powerpc 166MHz: 52sec)
+# RS6000 AIX
 #CFLAGS=-pipe -Wall -O2
 
-# Sun (Sparcstation 4 with supersparc 110MHz: 3min 45sec)
+# Sun
 #ILIBS=-lm
 #IXLIBS=-lm
 #CFLAGS=-pipe -Wall -O2 -msupersparc
 
-# (timings are related to only compile zedx in single user with all in disk cache)
+COMPILER=gcc
+# someone needs this:
+#COMPILER=g++
+
+LINKER=gcc
+
 ###############################################
 
 #CFLAGS=-pipe -Wall -m486 -g
@@ -60,10 +65,10 @@
 	 @echo
 
 zed : $(OBJS)
-	 gcc -o zed $(AFLAGS) $(OBJS) $(LIBS)
+	 $(LINKER) -o zed $(AFLAGS) $(OBJS) $(LIBS)
 
 zedx : $(XOBJS)
-	 gcc -o zedx $(AFLAGS) $(XOBJS) $(XLIBS)
+	 $(LINKER) -o zedx $(AFLAGS) $(XOBJS) $(XLIBS)
 
 clean:
 	 rm -rf core *.o *.xo *~
@@ -91,10 +96,10 @@
 .SUFFIXES:
 
 %.xo : %.cc
-	 gcc $(CFLAGS) $(AFLAGS) -DX11 $(XOPTIONS) -o $@ -c $<
+	 $(COMPILER) $(CFLAGS) $(AFLAGS) -DX11 $(XOPTIONS) -o $@ -c $<
 
 %.o  : %.cc
-	 gcc $(CFLAGS) $(AFLAGS) $(OPTIONS) -o $@ -c $<
+	 $(COMPILER) $(CFLAGS) $(AFLAGS) $(OPTIONS) -o $@ -c $<
 
 ### Dependencies:
 config.o: config.cc zed.h

## zed 1.4

=== debian/changelog ===
zed (1.4-2build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 13:33:38 +0100

zed (1.4-2) unstable; urgency=medium

  * Install native object files (*.cmx) on native architectures only

 -- Hilko Bengen <bengen@debian.org>  Fri, 12 Feb 2016 20:21:18 +0100

zed (1.4-1) unstable; urgency=low

  * Initial release. (Closes: #658584)

 -- Hilko Bengen <bengen@debian.org>  Wed, 06 Jan 2016 14:30:26 +0100

=== debian/control ===
Source: zed
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Nicolas Dandrimont <nicolas.dandrimont@crans.org>,
 Lifeng Sun <lifongsun@gmail.com>,
 Hilko Bengen <bengen@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-ocaml (>= 0.9),
 libreact-ocaml-dev,
 libcamomile-ocaml-dev (>= 0.8.0~),
 ocaml-findlib,
 ocaml-nox (>= 3.12.0~)
Standards-Version: 3.9.6
Section: ocaml
Homepage: http://forge.ocamlcore.org/projects/zed/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/zed.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/zed.git

Package: libzed-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: abstract engine for text edition in OCaml (development tools)
 Zed is an abstract engine for text edition. It can be used to
 write text editors, edition widgets, readlines, ...
 .
 Zed uses Camomile to fully support the Unicode specification, and
 implements an UTF-8 encoded string type with validation, and a rope
 datastructure to achieve efficient operations on large Unicode
 buffers. Zed also features a regular expression search on ropes.
 .
 To support efficient text edition capabilities, Zed provides macro
 recording and cursor management facilities.
 .
 This package contains the development stuff needed to use the
 zed library in your programs.

Package: libzed-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: abstract engine for text edition in OCaml (runtime)
 Zed is an abstract engine for text edition. It can be used to
 write text editors, edition widgets, readlines, ...
 .
 Zed uses Camomile to fully support the Unicode specification, and
 implements an UTF-8 encoded string type with validation, and a rope
 datastructure to achieve efficient operations on large Unicode
 buffers. Zed also features a regular expression search on ropes.
 .
 To support efficient text edition capabilities, Zed provides macro
 recording and cursor management facilities.
 .
 This package contains the runtime libraries for programs using
 zed.

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
https://github.com/diml/zed/releases .*/archive/(.*)\.tar\.gz

## zed 2.0.3

=== debian/changelog ===
zed (2.0.3-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Remove Lifeng from Uploaders (Closes: #925113)
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0

  [ Nicolas Dandrimont ]
  * d/control: remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Tue, 10 Sep 2019 09:46:28 +0200

zed (1.4-3) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2017 17:44:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: zed
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Nicolas Dandrimont <nicolas.dandrimont@crans.org>,
- Lifeng Sun <lifongsun@gmail.com>,
  Hilko Bengen <bengen@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-ocaml (>= 0.9),
  libreact-ocaml-dev,
  libcamomile-ocaml-dev (>= 0.8.0~),
+ libcharinfo-width-ocaml-dev,
  ocaml-findlib,
+ ocaml-dune,
  ocaml-nox (>= 3.12.0~)
-Standards-Version: 3.9.6
+Standards-Version: 4.4.0
 Section: ocaml
 Homepage: http://forge.ocamlcore.org/projects/zed/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/zed.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/zed.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/zed
+Vcs-Git: https://salsa.debian.org/ocaml-team/zed.git
 
 Package: libzed-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p zed --verbose

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose
	rm -f $(DESTDIR)/usr/doc/zed/LICENSE

override_dh_auto_test:
	dune runtest -p zed --verbose

override_dh_missing:
	dh_missing --fail-missing

## zed 2.0.5

=== debian/changelog ===
zed (2.0.5-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:36:46 +0000

zed (2.0.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Feb 2020 05:34:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: zed
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Hilko Bengen <bengen@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
- dh-ocaml (>= 0.9),
  libreact-ocaml-dev,
- libcamomile-ocaml-dev (>= 0.8.0~),
+ libcamomile-ocaml-dev,
  libcharinfo-width-ocaml-dev,
  ocaml-findlib,
  ocaml-dune,
- ocaml-nox (>= 3.12.0~)
-Standards-Version: 4.4.0
+ ocaml-nox,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: ocaml
-Homepage: http://forge.ocamlcore.org/projects/zed/
+Homepage: https://github.com/ocaml-community/zed
 Vcs-Browser: https://salsa.debian.org/ocaml-team/zed
 Vcs-Git: https://salsa.debian.org/ocaml-team/zed.git

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,9 @@
 	rm -f $(DESTDIR)/usr/doc/zed/LICENSE
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dune runtest -p zed --verbose
+endif
 
 override_dh_missing:
 	dh_missing --fail-missing

## zed 3.1.0

=== Makefile ===
build:
	dune build

test:
	dune runtest

all-supported-ocaml-versions:
	dune build @install @runtest --workspace dune-workspace.dev

clean:
	dune clean

.PHONY: build all-supported-ocaml-versions clean test

=== debian/changelog ===
zed (3.1.0-1build3) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 16:21:44 +0100

zed (3.1.0-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 17:57:36 +0100

zed (3.1.0-1build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Nov 2020 07:13:32 +0100

zed (3.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Jul 2020 08:35:52 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,5 +23,4 @@
 	dune runtest -p zed --verbose
 endif
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
https://github.com/ocaml-community/zed/releases .*/archive/(.*)\.tar\.gz

## zed 3.2.2

=== debian/changelog ===
zed (3.2.2-2) unstable; urgency=medium

  * Team upload.
  * Fix compilation with recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 12:00:23 +0200

zed (3.2.2-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Julien Puydt ]
  * Fix d/watch.
  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Jul 2023 13:52:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: zed
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Hilko Bengen <bengen@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ libalcotest-ocaml-dev,
  libreact-ocaml-dev,
- libcamomile-ocaml-dev,
  libcharinfo-width-ocaml-dev,
+ libuucp-ocaml-dev,
+ libuuseg-ocaml-dev,
  ocaml-findlib,
  ocaml-dune,
  ocaml-nox,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-community/zed

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	dune build -p zed --verbose
 
 override_dh_auto_install:
-	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose
+	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=$(OCAML_STDLIB_DIR) --verbose
 	rm -f $(DESTDIR)/usr/doc/zed/LICENSE
 
 override_dh_auto_test:

## zed 3.2.3

=== debian/changelog ===
zed (3.2.3-2) unstable; urgency=medium

  * Team upload
  * Fix Build-Depends for nocheck profile (Closes: #1116929)
  * Bump Standards-Version to 4.7.2
  * Bump debian/watch to version 5

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Oct 2025 10:17:17 +0200

zed (3.2.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 27 Aug 2023 21:56:52 +0200

zed (3.2.2-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 10 Aug 2023 08:56:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
  Hilko Bengen <bengen@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- libalcotest-ocaml-dev,
+ libalcotest-ocaml-dev <!nocheck>,
  libreact-ocaml-dev,
  libcharinfo-width-ocaml-dev,
+ libuutf-ocaml-dev,
  libuucp-ocaml-dev,
  libuuseg-ocaml-dev,
  ocaml-findlib,
  ocaml-dune,
- ocaml-nox,
- dh-ocaml
-Standards-Version: 4.6.2
+ ocaml,
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-community/zed

=== debian/watch ===
Version: 5

Source: https://github.com/ocaml-community/zed/tags
Matching-Pattern: .*/@ANY_VERSION@\.tar\.gz
Uversionmangle: s/rc/~rc/
